summaryrefslogtreecommitdiffstats
path: root/games/pangzero
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2016-08-11 17:44:20 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-13 07:22:19 +0700
commitc5e2019b6a951725876d9c6841c58580fc0605d0 (patch)
treec1adb0525cf9cad4396804d13dfd77e69437dc53 /games/pangzero
parent2d637e0b4e0336a964ddea1fdfdaf83d287d4aad (diff)
downloadslackbuilds-c5e2019b6a951725876d9c6841c58580fc0605d0.tar.gz
slackbuilds-c5e2019b6a951725876d9c6841c58580fc0605d0.tar.xz
games/pangzero: Added (clone of arcade game "Super Pang").
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/pangzero')
-rw-r--r--games/pangzero/README6
-rw-r--r--games/pangzero/doinst.sh3
-rw-r--r--games/pangzero/pangzero.SlackBuild83
-rw-r--r--games/pangzero/pangzero.info12
-rw-r--r--games/pangzero/slack-desc19
5 files changed, 123 insertions, 0 deletions
diff --git a/games/pangzero/README b/games/pangzero/README
new file mode 100644
index 0000000000..87735726f6
--- /dev/null
+++ b/games/pangzero/README
@@ -0,0 +1,6 @@
+pangzero (clone of arcade game "Super Pang")
+
+Pang Zero is a clone and enhancement of Super Pang (AKA Super Buster
+Brothers), a fast-paced action game that involves popping balloons with
+a harpoon. You can play Pang Zero alone, but it's a lot more fun to play
+with your friends.
diff --git a/games/pangzero/doinst.sh b/games/pangzero/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/pangzero/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/pangzero/pangzero.SlackBuild b/games/pangzero/pangzero.SlackBuild
new file mode 100644
index 0000000000..fbd5e747c7
--- /dev/null
+++ b/games/pangzero/pangzero.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for pangzero
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# This is unmaintained since 2006 by its original authors, but the Debian
+# Games Team has done a great job of porting it to the new perl-SDL API,
+# adding enhancements, and squashing bugs. So we'll use their source and
+# patches. Note that DEBREV specifies the Debian revision number (i.e. the
+# last component of the name of the .debian.tar.xz file).
+
+PRGNAM=pangzero
+VERSION=${VERSION:-1.4.1+git20121103}
+DEBREV=${DEBREV:-2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.xz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION-$DEBREV.debian.tar.xz
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+for i in $( cat debian/patches/series ); do
+ patch -p1 < debian/patches/$i
+done
+
+perl Build.PL
+./Build
+#./Build test # skip this as it's long and noisy
+./Build install \
+ --prefix=/usr \
+ --installdirs=vendor \
+ --destdir $PKG
+
+# couldn't figure out how to get the game to install in /usr/games, so:
+mv $PKG/usr/bin $PKG/usr/games
+
+mkdir -p $PKG/usr/share/pixmaps \
+ $PKG/usr/share/applications \
+ $PKG/usr/man/man6 \
+
+# those perl vendor paths are a mouthful...
+ln -s ../perl5/vendor_perl/auto/share/dist/Games-PangZero/icon.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+cat debian/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+gzip -9c < debian/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/pangzero/pangzero.info b/games/pangzero/pangzero.info
new file mode 100644
index 0000000000..475d70f524
--- /dev/null
+++ b/games/pangzero/pangzero.info
@@ -0,0 +1,12 @@
+PRGNAM="pangzero"
+VERSION="1.4.1+git20121103"
+HOMEPAGE="http://apocalypse.rulez.org/pangzero"
+DOWNLOAD="http://http.debian.net/debian/pool/main/p/pangzero/pangzero_1.4.1+git20121103.orig.tar.xz \
+ http://http.debian.net/debian/pool/main/p/pangzero/pangzero_1.4.1+git20121103-2.debian.tar.xz"
+MD5SUM="71d356298400046a31e18ddf2e86d850 \
+ 98975ae6ca90ca07a8fe7c3a1263acef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-SDL"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/pangzero/slack-desc b/games/pangzero/slack-desc
new file mode 100644
index 0000000000..d3f0781cd2
--- /dev/null
+++ b/games/pangzero/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pangzero: pangzero (clone of arcade game "Super Pang")
+pangzero:
+pangzero: Pang Zero is a clone and enhancement of Super Pang (AKA Super Buster
+pangzero: Brothers), a fast-paced action game that involves popping balloons
+pangzero: with a harpoon. You can play Pang Zero alone, but it's a lot more
+pangzero: fun to play with your friends.
+pangzero:
+pangzero:
+pangzero:
+pangzero:
+pangzero: